Bug 27646 - error messages from anacron
Summary: error messages from anacron
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-14 18:30 UTC by Michal Jaegermann
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-14 18:30:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2001-02-14 18:30:36 UTC
Cron, or more precisely 'anacron', is in a habit of generating the
following error messages (depending on circumstances):

/etc/cron.daily/sysstat:

Cannot open /var/log/sa/sa10: No such file or directory

or '/var/log/sa/sa14', or whatever the case may be.  This seems to
depend on a date.

Can we have /etc/cron.daily/sysstat modified as follows, please:

#!/bin/sh

[ -r "/var/log/sa/sa$(date +%d)" ] || exit 0
# generate a daily summary of process accounting.
/usr/lib/sa/sa2 -A &

   Michal

Comment 1 Preston Brown 2001-02-15 01:31:30 UTC
been fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.